close all;                                   % 모든 생성된 창을 닫음 
clear all;                                   % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                         % 명령(command) 창을 비움

r=0.98; theta=pi/4;                          % 시스템 극 파라미터 설정 
n=0:100;                                     % 시간축 설정
N=512; df=1/(2*N); f=df*(0:N-1);             % 주파수축 설정 
num=[1 -2*cos(theta) 1];                     % 전달 함수의 분자 계수
den=[1 -2*r*cos(theta) r^2];                 % 전달 함수의 분모 계수
Hf=freqz(num,den,N);                         % 주파수 응답 계산 
h=dimpulse(num,den,length(n));               % 임펄스 응답 계산

subplot(2,1,1);                              % 2행 1열 배열 그림 창의 2번 창
plot(f,abs(Hf));                             % 진폭 응답 그림
title('\bf{진폭 응답}');                      % 그림 제목 
xlabel('\bf{F}'); grid on;                   % x축 라벨 및 그리드 표시 
subplot(2,1,2);                              % 2행 1열 배열 그림 창의 2번 창
stem(n,h);                                   % 임펄스 응답 그림
title('\bf{임펄스 응답}');                    % 그림 제목
xlabel('\bf{n}'); grid on;                   % x축 라벨 및 그리드 표시